Bug 30266 - gcc-java-2.96-76 dumps core
gcc-java-2.96-76 dumps core
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-01 22:23 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-12 12:07:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-01 22:23:28 EST
Also, gcc-java seems quite buggy,
why not to put binaries compiled with -g options into RPM.
This will simpify bug reporting.
This worth few extra bytes.

The source is available upon request.


gdb /usr/lib/gcc-lib/i386-redhat-linux/2.96/jc1
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
(gdb) run com/polytechnik/predictor/Predictor.java
-fno-use-divide-subroutine -fasynchronous-exceptions -quiet -dumpbase
Predictor.java -g1 -version -o /tmp/cc0tFuHA.s
Starting program: /usr/lib/gcc-lib/i386-redhat-linux/2.96/jc1
com/polytechnik/predictor/Predictor.java -fno-use-divide-subroutine
-fasynchronous-exceptions -quiet -dumpbase Predictor.java -g1 -version -o
/tmp/cc0tFuHA.s
GNU Java version 2.96 20000731 (Red Hat Linux 7.1 2.96-76)
(i386-redhat-linux) compiled by GNU C version 2.96 20000731 (Red Hat Linux
7.1 2.96-76).
(no debugging symbols found)...
Program received signal SIGSEGV, Segmentation fault.
0x8056de1 in strcpy () at ../sysdeps/generic/strcpy.c:31
31	../sysdeps/generic/strcpy.c: No such file or directory.
(gdb) bt
#0  0x8056de1 in strcpy () at ../sysdeps/generic/strcpy.c:31
#1  0x805c891 in strcpy () at ../sysdeps/generic/strcpy.c:31
#2  0x805a42f in strcpy () at ../sysdeps/generic/strcpy.c:31
#3  0x8059a9e in strcpy () at ../sysdeps/generic/strcpy.c:31
#4  0x8059a20 in strcpy () at ../sysdeps/generic/strcpy.c:31
#5  0x805d12a in strcpy () at ../sysdeps/generic/strcpy.c:31
#6  0x805c891 in strcpy () at ../sysdeps/generic/strcpy.c:31
#7  0x805d9ac in strcpy () at ../sysdeps/generic/strcpy.c:31
#8  0x805d2ed in strcpy () at ../sysdeps/generic/strcpy.c:31
#9  0x805c891 in strcpy () at ../sysdeps/generic/strcpy.c:31
#10 0x805d4fc in strcpy () at ../sysdeps/generic/strcpy.c:31
#11 0x805c891 in strcpy () at ../sysdeps/generic/strcpy.c:31
#12 0x805d17b in strcpy () at ../sysdeps/generic/strcpy.c:31
#13 0x805c891 in strcpy () at ../sysdeps/generic/strcpy.c:31
#14 0x805ca4c in strcpy () at ../sysdeps/generic/strcpy.c:31
#15 0x805c891 in strcpy () at ../sysdeps/generic/strcpy.c:31
#16 0x805810d in strcpy () at ../sysdeps/generic/strcpy.c:31
#17 0x8057d65 in strcpy () at ../sysdeps/generic/strcpy.c:31
#18 0x8057c26 in strcpy () at ../sysdeps/generic/strcpy.c:31
#19 0x8057bd8 in strcpy () at ../sysdeps/generic/strcpy.c:31
#20 0x8059499 in strcpy () at ../sysdeps/generic/strcpy.c:31
#21 0x807977c in strcpy () at ../sysdeps/generic/strcpy.c:31
#22 0x80843d6 in error ()
---Type <return> to continue, or q <return> to quit---
#23 0x8088045 in error ()
#24 0x40049f31 in __libc_start_main (main=0x80879f0 <error+19008>, argc=11, 
    ubp_av=0xbffffa74, init=0x80494d4 <_init>, fini=0x826333c <_fini>, 
    rtld_fini=0x4000e274 <_dl_fini>, stack_end=0xbffffa6c)
    at ../sysdeps/generic/libc-start.c:129
(gdb)
Comment 1 Jakub Jelinek 2001-03-12 12:07:32 EST
gcc-java is an experimental package. I'm certainly interested in the source
it dies on though.
It would be of no value to ship non-stripped compiler binaries, since in order
to fix a compiler bug usually much more than just the backtrace is needed.
Comment 2 Jakub Jelinek 2001-07-23 11:46:08 EDT
Closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.